Skip to content
Permalink
Browse files

debian packaging update: use libspatialindex on more distributions

  • Loading branch information
jef-n committed Oct 8, 2011
1 parent 0782a34 commit cf5e790f8b901c1548ec7b6cbde6b17dbdbdf11c
Showing with 7 additions and 3 deletions.
  1. +2 −2 debian/changelog
  2. +1 −0 debian/control.lucid
  3. +1 −0 debian/control.maverick
  4. +1 −0 debian/control.natty
  5. +1 −0 debian/control.oneiric
  6. +1 −1 debian/rules
@@ -9,9 +9,9 @@ qgis (1.8.0) UNRELEASED; urgency=low
* update watch
* drop abi postfix from sqlanywhere plugin
* include network analysis library
* build unstable and squeeze package with libspatialindex.
* build package with libspatialindex where available

-- Jürgen E. Fischer <jef@norbit.de> Sat, 08 Oct 2011 11:40:39 +0000
-- Jürgen E. Fischer <jef@norbit.de> Sat, 08 Oct 2011 20:03:51 +0000

qgis (1.7.0) UNRELEASED; urgency=low

@@ -18,6 +18,7 @@ Build-Depends:
libqt4-dev (>=4.4.0),
libqwt5-qt4-dev,
libspatialite-dev,
libspatialindex-dev,
libsqlite3-dev,
pkg-config,
pyqt4-dev-tools,
@@ -19,6 +19,7 @@ Build-Depends:
libqtwebkit-dev,
libqwt5-qt4-dev,
libspatialite-dev,
libspatialindex-dev,
libsqlite3-dev,
pkg-config,
pyqt4-dev-tools,
@@ -19,6 +19,7 @@ Build-Depends:
libqtwebkit-dev,
libqwt5-qt4-dev,
libspatialite-dev,
libspatialindex-dev,
libsqlite3-dev,
pkg-config,
pyqt4-dev-tools,
@@ -19,6 +19,7 @@ Build-Depends:
libqtwebkit-dev,
libqwt5-qt4-dev,
libspatialite-dev,
libspatialindex-dev,
libsqlite3-dev,
pkg-config,
pyqt4-dev-tools,
@@ -46,7 +46,7 @@ ifneq (,$(findstring $(DISTRIBUTION),"sid"))
CMAKE_OPTS += -D WITH_GLOBE=TRUE
endif

ifneq (,$(findstring $(DISTRIBUTION),"squeeze sid"))
ifneq (,$(findstring $(DISTRIBUTION),"squeeze lucid maverick natty oneiric sid"))
CMAKE_OPTS += -D WITH_INTERNAL_SPATIALINDEX=FALSE
endif

0 comments on commit cf5e790

Please sign in to comment.
You can’t perform that action at this time.